Bug 122226 - DOCX Import Pie chart data labels new line separator changes to semicolon
Summary: DOCX Import Pie chart data labels new line separator changes to semicolon
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-12-20 13:03 UTC by NISZ LibreOffice Team
Modified: 2019-07-21 04:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A screenshot showcasing the issue. (131.54 KB, image/png)
2018-12-20 13:04 UTC, NISZ LibreOffice Team
Details
An example file from Word (20.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-12-20 13:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-12-20 13:03:38 UTC
Description:
Import Pie chart data labels new line separator in DOCX documents created with Microsoft Word 2010 changes to semicolon when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Steps to Reproduce:
    1. Open the attached DOCX file in LibreOffice Writer
    2. Open a copy in Microsoft Word.
    3. Compare the original file opened in Writer and Word.
    4. View the attached screenshot
    5. Notice, that Pie chart data labels new line separator changes to semicolon.

Actual Results:
Pie chart data labels new line separator changes to semicolon when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Expected Results:
Pie chart data labels should have the same separator as the original file when the document is opened in Microsoft Word 2010


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-12-20 13:04:15 UTC
Created attachment 147705 [details]
A screenshot showcasing the issue.
Comment 2 NISZ LibreOffice Team 2018-12-20 13:04:42 UTC
Created attachment 147706 [details]
An example file from Word
Comment 3 Dieter 2018-12-20 13:32:01 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: ffa5b8a82eab18041bbee4d6914892b82c7801d3
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-19_03:24:54
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 4 Gabor Kelemen (allotropia) 2019-01-09 18:30:57 UTC
Why was this put to DOCX-OLE-Objects meta bug? This is a simple OOXML chart bug.
Comment 5 Xisco Faulí 2019-01-16 22:47:24 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 6 Commit Notification 2019-02-12 09:15:59 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/de73efb96fbb1d268caea0f41acbe20a234ec59f%5E%21

tdf#122226 OOXML Chart Import: data label new line separator

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-20 09:47:49 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/42fd10b0ab6c6f65ba6394f9ae216c0f13973221%5E%21

Related: tdf#122226 OOXML Chart Import data label separator

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-03-05 07:57:12 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/592c6893156615695b7f95f53d71624a87650bf6%5E%21

tdf#122226 OOXML Chart Import: data label separator

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Dieter 2019-07-21 04:31:41 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Balazs Varga, thanks for fixing it!